
CoCoALib - Support #452

Documentation for adding functions to CoCoA-5 (BuiltInFunctions and BuiltInOneLiners)

01 Mar 2014 09:31 - Anna Maria Bigatti

Status: Closed Start date: 01 Mar 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Documentation Estimated time: 2.00 hours

Target version: CoCoALib-0.99534 Seoul14 Spent time: 2.00 hours

Description

Code is very readable, but some documentation would be nice, wouldn't it?

2014-07 the documentation is in doc/txt/BuiltInFunctions.txt (and generated html and pdf files)

Related issues:

Related to CoCoA-5 - Feature #193: BuiltinFunctions.C getting too long (2000 ... Closed 21 Jun 2012

Related to CoCoA-5 - Bug #249: BuiltIn Normaliz functions not available in Co... Closed 01 Oct 2012

Related to CoCoA-5 - Bug #207: BuiltIn Normaliz functions not available in C5... Closed 10 Jul 2012

Related to CoCoA-5 - Support #296: Documentation for Parser/Interpreter In Progress 24 Jan 2013

Related to CoCoA-5 - Design #525: BuiltInFunctions: evalArgAsT1OrT2, evalArgA... Closed 08 Apr 2014

History

#1 - 01 Mar 2014 10:03 - Anna Maria Bigatti

- % Done changed from 0 to 10

I added an entry to the CoCoALib documentation. (cvs-ed)

Just started

#2 - 14 Jul 2014 14:34 - Anna Maria Bigatti

- % Done changed from 10 to 50

- Estimated time set to 2.00 h

not final, but much improved (cvs-ed)

#3 - 31 Jul 2014 12:31 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
